/*  Copyright 2010-2011 Guillaume Duhamel

    This file is part of Gophrier.

    Gophrier is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Gophrier is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Gophrier; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
*/

#ifndef GOPHRIER_CONF_H
#define GOPHRIER_CONF_H

char * conf_get_conf_dir();
int    conf_set_conf_dir(const char * path);
char * conf_get_root_dir();
int    conf_set_root_dir(const char * path);
char * conf_get_log_dir();
int    conf_set_log_dir(const char * path);
int conf_is_daemon();
int conf_set_daemon(int d);
int conf_use_ipv6();
int conf_set_ipv6(int i);
int conf_get_port();
int conf_set_port(int p);

#endif
